<div class="row">
    <div class="col-1 offset-sm-7">
        <span style="line-height: 52px"><b>Filter:</b></span>
    </div>
    <div class="col-4 filter-container">
        <select class="form-control" [(ngModel)]="configFilter">
            <option value="">--clear filter--</option>
            <option *ngFor="let n of order?.configureDTOSet " [value]="n.configurationId">{{n.configurationName}}</option>
        </select>
    </div>
    <div class="col">
        <table class="table table-hover">
            <thead>
                <tr>
                    <th>Title Name</th>
                    <th>Configuration</th>
                    <th>Content Type</th>
                    <th>Priority</th>
                    <th>Destination</th>
                    <th>Activation Month</th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let titleDetail of configurations|filterConfig:configFilter">
                    <td>{{titleDetail.contentName}}</td>
                    <td>{{titleDetail.configurationName}}</td>
                    <td>{{titleDetail.contentType}}</td>
                    <td>{{titleDetail.priority}}</td>
                    <td>{{titleDetail.destinationList}}</td>
                    <td>January (Static data)</td>
                </tr>
                <tr *ngIf="!configurations?.length">
                    <td colspan="5" style="text-align:center"><b>No data available.</b></td>
                </tr>
            </tbody>
        </table>
    </div>
</div>